export declare function hex_sha1(s: string): string;
export declare function b64_sha1(s: string): string;
export declare function any_sha1(s: string, e: string): string;
export declare function hex_hmac_sha1(k: string, d: string): string;
export declare function b64_hmac_sha1(k: string, d: string): string;
export declare function any_hmac_sha1(k: string, d: string, e: string): string;
